Subject: Re: [RFC/PATCH] revision.c: add --format option for 'git log'

From: Junio C Hamano <[email-masked]>
Date: Sun, 22 Feb 2009 10:37:55 -0800

Felipe Contreras <[email-masked]> writes:

> I understand the option should be kept for people that are used to it,

It is not just that.  New people should learn existing lingo, as that is
the word used in the existing documentation and various random web pages,
so that they can use the same language when they teach people who are
newer than themselves.

If the existing word was not pretty (that came from "pretty-formatting")
but something unpronouncible like '--gzxfw=short", then your argument
might make some sense, but there is no such "breakage we need to fix"
here.